﻿---- Lister les temps de production (fab2)
----------------------------------------------------
select rtrim(f1_of) || '-' || f1_phase as of_phase,
--f1_oper,
ss_sec||'-'||ss_ope||'-'||ss_sop as Triplet,
ls_ope ope,
-- ls_type : Type (P = Calage, R = Roulage)
case when ls_type = 'P' or (ls_type is null and f1_tpp >0) then 'Calage' else 'Roulage' end typ,
f1_tpp, f1_trp, f1_tp,

f1_mach cod_machine, m0_desig lib_machine,
f1_qtel, f1_term,

f2_lig, f2_oper, f2_fonct, f2_date, f2_hd, f2_hf, f2_total, f2_typtrav, f2_qte, f2_rebut from fab2 f2, fab1 f1
LEFT OUTER JOIN i_postes ss ON (ss.ss_num = f1.f1_oper )
LEFT OUTER JOIN i_lposte ls ON (ls.ls_soc = ss.ss_soc and ls.ls_ope = ss.ss_ope and ls.ls_sop = ss.ss_sop and ls.ls_sop = ss.ss_sop)
LEFT OUTER JOIN mac0 m0 ON (m0_soc = f1_soc and m0_machine = f1_mach )
where ( f1_soc = f2_soc and f1_of = f2_of and f1_phase = f2_phase )
and f2_soc = 'FPP'
and f2_of like '1601%'
--and f1_tpp = 0 and f1_trp=0
--and ls_type is null
--and f1_qtel >0
;

---- Lister les phases de production (fab1) avec les dépendances
--------------------------------------------------------------------
select rtrim(f1_of) || '-' || f1_phase as of_phase,
--f1_oper,
ss_sec||'-'||ss_ope||'-'||ss_sop as OPE,
ls_ope Ope,
-- ls_type,
-- ls_type : Type (P = Calage, R = Roulage)
case when ls_type = 'P' or (ls_type is null and f1_tpp >0) then 'Calage' else 'Roulage' end typ,
f1_tpp tps_cal, f1_trp tps_rou,
--f1_tp,
round(f1_qtel) Qte,
case when (f1_qtel > 0  and f1_trp >0) then ROUND(f1_qtel / f1_trp) else 0 end cad,
rtrim(f1_mach)||': '||m0_desig machine,
f1_term,
rtrim(ls_z1)||': '||ss_z1 Dep_A1,
rtrim(ls_z2)||': '||ss_z2 Dep_A2,
rtrim(ls_z3)||': '||ss_z3 Dep_A3,
rtrim(ls_z4)||': '||ss_z4 Dep_A4,
rtrim(ls_p1)||': '||ss_i1||' à '||ss_s1 Dep_N1,
rtrim(ls_p2)||': '||ss_i2||' à '||ss_s2 Dep_N2,
rtrim(ls_p3)||': '||ss_i3||' à '||ss_s3 Dep_N3,
rtrim(ls_p4)||': '||ss_i4||' à '||ss_s4 Dep_N4
FROM fab1 f1
LEFT OUTER JOIN i_postes ss ON (ss.ss_num = f1.f1_oper )
LEFT OUTER JOIN i_lposte ls ON (ls.ls_soc = ss.ss_soc and ls.ls_ope = ss.ss_ope and ls.ls_sop = ss.ss_sop and ls.ls_sop = ss.ss_sop)
LEFT OUTER JOIN mac0 m0 ON (m0_soc = f1_soc and m0_machine = f1_mach )
where f1_soc = 'FPP'
and f1_of like '10%'
and f1_tpp is not null
--and f1_tp = f1_trp
--and ls_type = 'R'
;

---- Lister les TTR vraiment utilisés  (Optique cube production)
--------------------------------------------------------------------
select f2_typtrav, p2_libl, count(*) from fab2
LEFT OUTER JOIN par02  ON (p2_soc=f2_soc and p2_code = f2_typtrav and p2_type ='TTR' )
where f2_soc = 'FPP'
group by f2_typtrav, p2_libl
order by 3 desc;

---- Lister les opérations avec au moins une dépendance (Optique cube production)
---------------------------------------------------------------------------------------
select ls_sec, ls_ope, ls_sop, ls_lope,
ls_z1, ls_z2, ls_z3, ls_z4,
ls_p1, ls_p2, ls_p3, ls_p4
from i_lposte
where ls_soc = 'FPP'
and ( ls_z1 !=' ' or ls_z2 !=' ' or ls_z3 !=' ' or ls_z4 != ' ' or
      ls_p1 !=' ' or ls_p2 !=' ' or ls_p3 !=' ' or ls_p4 != ' ' );




